/* Intarsio: date due parole, la lettere della prima compaiono nella seconda 
   nello stesso ordine, ma non necessariamente consecutive */
#include <stdio.h>

int main(int argc, char **argv){
	char *p1, *p2;
	if (argc<3) return -1;

	for(
		p1=argv[1], p2=argv[2];
		*p1!='\0' && *p2!='\0';
		p2++
	)
		if (*p1==*p2) p1++;

	if (*p1=='\0')
		printf("Intarsio\n");
	else 
		printf("Non intarsio\n");

	return 0;
}
